<?php

require $CFG->libdir.'/formslib.php';

class EditableContentHtmlEditForm extends moodleform {
	
	var $block;
	
	function __construct(&$block){
		$this->block = $block;
		parent::__construct();
	} 
	
	function definition(){
        global $CFG;

        $mform =& $this->_form;

		$mform->addElement('hidden', 'id');
		$mform->addElement('hidden', 'course');
		$mform->addElement('htmleditor', 'text', get_string('configcontent', 'block_editablecontenthtml'));

		$this->add_action_buttons();    
	}	

    function set_data($defaults) {
        if (!empty($this->block->config) && is_object($this->block->config)) {
            $text = $this->block->config->text;
            $draftid_editor = file_get_submitted_draft_itemid('config_text');
            if (empty($text)) {
                $currenttext = '';
            } else {
                $currenttext = $text;
            }
            $defaults->config_text['text'] = file_prepare_draft_area($draftid_editor, $this->block->context->id, 'block_editablecontenthtml', 'content', 0, array('subdirs'=>true), $currenttext);
            $defaults->config_text['itemid'] = $draftid_editor;
            $defaults->config_text['format'] = $this->block->config->format;
        } else {
            $text = '';
        }

        if (!$this->block->user_can_edit() && !empty($this->block->config->title)) {
            // If a title has been set but the user cannot edit it format it nicely
            $title = $this->block->config->title;
            $defaults->config_title = format_string($title, true, $this->page->context);
            // Remove the title from the config so that parent::set_data doesn't set it.
            unset($this->block->config->title);
        }

        // have to delete text here, otherwise parent::set_data will empty content
        // of editor
        unset($this->block->config->text);
        parent::set_data($defaults);
        // restore $text
        $this->block->config->text = $text;
        if (isset($title)) {
            // Reset the preserved title
            $this->block->config->title = $title;
        }
    }
}